allocate-foreign-string
Prev | Strings | Next

## Name

allocate-foreign-string — Allocates space for a foreign string. Macro

## Syntax

    	allocate-foreign-string size
    	&key unsigned =>
    	foreign-string

## Arguments and Values

`size`

  The size of the space to be allocated in bytes.

`unsigned`

  A boolean flag with a default value of `T`. When true, marks the pointer as an `:unsigned-char`.

foreign-string

  A foreign string which has undefined contents.

## Description

Allocates space for a foreign string. Memory should be freed with `free-foreign-object`.

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
convert-to-foreign-string | Home | Functions & Libraries